Unreal Engine 4 project run (Incompatible or missing module: libUE4Editor-MyProject.so)

Hello. Today I install Unreal Engine 4 from git and install it. Then I create project called “MyProject”, but when I try to open this project I get a error message


...
LogModuleManager: Display: Found up-to-date module file ../../../Engine/Plugins/Editor/PluginBrowser/Binaries/Linux/libUE4Editor-PluginBrowser.so (API version 0).

LogInit: Warning: Incompatible or missing module: libUE4Editor-MyProject.so

LogInit: Initializing SDL.

LogInit: Using SDL_WINDOW_OPENGL

LogInit: Initialized SDL 2.0.5 revision: 11184 (hg-11184:04063928c4a8 with EpicExtensions) (compiled against 2.0.5)

LogInit: Display metrics:

LogInit: PrimaryDisplayWidth: 1920

LogInit: PrimaryDisplayHeight: 1080

LogInit: PrimaryDisplayWorkAreaRect:

LogInit: Left=0, Top=27, Right=1920, Bottom=1080

LogInit: VirtualDisplayRect:

LogInit: Left=0, Top=27, Right=1920, Bottom=1080

LogInit: TitleSafePaddingSize: X=0.000 Y=0.000 Z=0.000 W=0.000

LogInit: ActionSafePaddingSize: X=0.000 Y=0.000 Z=0.000 W=0.000

LogInit: Number of monitors: 1

LogInit: Monitor 0

LogInit: Name: 0

LogInit: ID: display0

LogInit: NativeWidth: 1920

LogInit: NativeHeight: 1080

LogInit: bIsPrimary: true

LogLinux: Warning: MessageBox: The following modules are missing or built with a different engine version:
libUE4Editor-MyProject.so
Would you like to rebuild them now?: Missing MyProject Modules: No is implied.

LogExit: Preparing to exit.

LogModuleManager: Shutting down and abandoning module AnimationModifiers (34)

LogModuleManager: Shutting down and abandoning module PropertyEditor (33)

LogModuleManager: Shutting down and abandoning module AudioEditor (30)

LogModuleManager: Shutting down and abandoning module TextureCompressor (28)

LogModuleManager: Shutting down and abandoning module ShaderCore (26)

LogModuleManager: Shutting down and abandoning module Landscape (24)

LogModuleManager: Shutting down and abandoning module SlateRHIRenderer (22)

LogModuleManager: Shutting down and abandoning module OpenGLDrv (20)

LogModuleManager: Shutting down and abandoning module AnimGraphRuntime (18)

LogModuleManager: Shutting down and abandoning module Renderer (16)

LogModuleManager: Shutting down and abandoning module Engine (14)

LogModuleManager: Shutting down and abandoning module CoreUObject (12)

LogModuleManager: Shutting down and abandoning module NetworkFile (10)

LogModuleManager: Shutting down and abandoning module CookedIterativeFile (8)

LogModuleManager: Shutting down and abandoning module StreamingFile (6)

LogModuleManager: Shutting down and abandoning module SandboxFile (4)

LogModuleManager: Shutting down and abandoning module PakFile (2)

LogExit: Exiting.

LogInit: Tearing down SDL.

Exiting abnormally (error code: 1)

I already try rebuild UE4 files and rebuild project files in CLion but it’s doesn’t help.   Maybe some one can help me?   P.S. for install UE4 I install packages 

sudo eopkg it -c system.devel
and then like in readme from git repo.

Level 1 Asked on May 13, 2018 in General.
Add Comment
1 Answer(s)

I’m getting the same error.  I think version 4.19 is not compiling properly for some reason.  and the libUE4editor is missing.  I’m gonna try and build compile from scratch using version 4.18.  If you can try it as well let me know if it works

Level 2 Answered on May 14, 2018.

It’s can be linked to clang compiler too. On official repo we have a limit up to 5.0 version. But for compiling with 6.0 (current version from oepkg) I path validator.

on May 15, 2018.

The same problem on 4.18.

on May 15, 2018.

https://aur.archlinux.org/packages/unreal-engine/?comments=all

I found this on the Arch forums:

“Engine/Source/Programs/UnrealBuildTool/Platform/Linux/LinuxToolChain.cs go to line 105.  CompilerVersion is set between 35 and 50.  Change 50 to 60 and save.

 

From  there I got it to compile but I still cannot run the program.  If Solus does not have Clang 5.0 to roll back to I may just have to go back to Ubuntu lol.

on May 16, 2018.

I already done it for compilation =) Maybe clang 6 is the reason of problem?

on May 19, 2018.
Add Comment

Your Answer

By posting your answer, you agree to the privacy policy and terms of service.